services:
  memos:
    image: neosmemo/memos:stable
    restart: always
#    depends_on:
#      - db
    ports:
      - 5230:5230
    environment:
      - MEMOS_DRIVER=postgres
      - MEMOS_DSN=user=memos password=memos dbname=memos host=10.0.6.178 sslmode=disable

#  db:
#    image: postgres:16.1
#    restart: unless-stopped
#    volumes:
#      - "./database:/var/lib/postgresql/data/"
#    environment:
#      POSTGRES_USER: memos
#      POSTGRES_PASSWORD: secret
#      POSTGRES_DB: memosdb